Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.rowset
Class CachedRowSetImpl

    java.lang.Object
      weblogic.jdbc.rowset.BaseRowSet
          weblogic.jdbc.rowset.CachedRowSetImpl

All Implemented Interfaces:
  Serializable, Cloneable, ResultSet, RowSet, CachedRowSet, FilteredRowSet, Joinable, SyncResolver, WebRowSet, SortedRowSet, WLCachedRowSet

Direct Known Subclasses:
  FilteredRowSetImpl, JoinRowSetImpl, WebRowSetImpl

    public class CachedRowSetImpl

extends BaseRowSet
implements WLCachedRowSet, SyncResolver, Serializable, Cloneable

CachedRowSet is an implementation of the JDBC RowSet API (javax.sql.RowSet). This implementation provides a disconnected RowSet. The CachedRowSet is populated with data from a JDBC query or an existing JDBC ResultSet. At this point, the RowSet has all of the data in memory. The CachedRowSet uses the familiar ResultSet methods for reading, inserting, updating, and deleteting data. These operations only change the current copy of the data in memory. The data is not written back to the database until the acceptChanges method is called. The CachedRowSet uses optimistic concurrency when data is written back to the database. By default, the SQL UPDATE statement verifies that the data in the database matches what was read into the CachedRowSet. It is possible to select other Optimistic policies with the setOptimisticPolicy method.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface weblogic.jdbc.rowset.WLCachedRowSet
`ALL_ROWS, CHANGED_ALL, CHANGED_CURRENT, CHANGED_ORIGINAL, CURRENT_ALL, UNCHANGED_CURRENT`

Fields inherited from interface javax.sql.rowset.spi.SyncResolver
`DELETE_ROW_CONFLICT, INSERT_ROW_CONFLICT, NO_ROW_CONFLICT, UPDATE_ROW_CONFLICT`

Constructor Summary
`CachedRowSetImpl()` Constructs a new default CachedRowSetImpl object with the capacity to hold 100 rows.
`CachedRowSetImpl(Hashtable env)` Provides a CachedRowSetImpl instance with the same default properties as the zero parameter constructor.

Method Summary
`void` | `acceptChanges()` Propagates all row update, insert, and delete changes to the underlying data source backing this CachedRowSetImpl object.
`void` | `acceptChanges(Connection con)` Propagates all row update, insert, and delete changes to the data source backing this CachedRowSetImpl object using the given Connection object.
`void` | `cancelRowUpdates()` Rolls back any updates made to the current row of this CachedRowSetImpl object and notifies listeners that a row has changed.
`protected Object` | `clone()` Returns a new RowSet object containing by the same data as this CachedRowSetImpl object.
`void` | `close()` Closes this CachedRowSetImpl objecy and releases any resources it was using.
`void` | `commit()` Commits all changes performed by the acceptChanges() methods
`CachedRowSet` | `createCopy()` Creates a RowSet object that is a deep copy of this CachedRowSetImpl object's data, including constraints.
`CachedRowSet` | `createCopyNoConstraints()` Creates a CachedRowSet object that is a copy of this CachedRowSetImpl object's data only.
`CachedRowSet` | `createCopySchema()` Creates a RowSet object that is a copy of this CachedRowSetImpl object's table structure and the constraints only.
`RowSet` | `createShared()` Returns a new RowSet object backed by the same data as that of this CachedRowSetImpl object and sharing a set of cursors with it.
`void` | `deleteRow()` Deletes the current row from this CachedRowSetImpl object and notifies listeners registered with this rowset that a row has changed.
`void` | `execute()` Populates this CachedRowSetImpl object with data
`void` | `execute(Connection con)` Populates this CachedRowSetImpl object with data, using the given connection to produce the result set from which data will be read.
`Map` | `getCurrentRow()` Returns the insert row or the current row of this CachedRowSetImplobject.
`Predicate` | `getFilter()` FilteredRowSetImpl - Retrieve the filter active for this FilteredRowSet
`ResultSet` | `getOriginal()` Returns a result set containing the original value of the rowset.
`ResultSet` | `getOriginalRow()` Returns a result set containing the original value of the current row only.
`int` | `getPageSize()` This is the getter function for the size of the page.
`Map` | `getRow(int index)` Returns the number of the current row in this CachedRowSetImpl object.
`void` | `insertRow()` Inserts the contents of this CachedRowSetImpl object's insert row into this rowset immediately following the current row.
`void` | `moveToCurrentRow()` Moves the cursor for this CachedRowSetImpl object to the current row.
`void` | `moveToInsertRow()` Moves the cursor for this CachedRowSetImpl object to the insert row.
`boolean` | `nextPage()` The nextPage gets the next page, that is a CachedRowSetImpl object containing the number of rows specified by page size.
`void` | `populate(ResultSet rs)` Populates this CachedRowSetImpl object with data from the given ResultSet object.
`void` | `populate(ResultSet rs, int i)` Populates this CachedRowSet object with data from the given ResultSet object.
`boolean` | `previousPage()` Retrieves the data present in the page prior to the page from where it is called.
`void` | `readXml(InputStream iStream)`
`void` | `readXml(Reader reader)`
`void` | `readXml(XMLInputStream xis)`
`void` | `refreshRow()` Sets the current row with its original value and marks the row as not updated, thus undoing any changes made to the row since the last call to the methods updateRow or deleteRow.
`void` | `release()` Releases the current contents of this CachedRowSetImpl object and sends a rowSetChanged event object to all registered listeners.
`void` | `restoreOriginal()` Restores this CachedRowSetImpl object to its original state, that is, its state before the last set of changes.
`void` | `rollback()` Rolls back all changes performed by the acceptChanges() methods
`void` | `rollback(Savepoint s)` Rolls back all changes performed by the acceptChanges() to the last Savepoint transaction marker.
`void` | `rowSetPopulated(RowSetEvent rse, int i)` Notifies registered listeners that a RowSet object in the given RowSetEvent object has populated a number of additional rows.
`void` | `setFilter(Predicate p)` FilteredRowSetImpl - Apply the predicate for this filter
`void` | `setOriginalRow()` void setOriginalRow() - Marks the current row in this rowset as being an original row.
`void` | `setPageSize(int i)` This is the setter function for setting the size of the page, which specifies how many rows have to be retrived at a time.
`void` | `setSorter(Comparator s)` FilteredRowSetImpl - Apply the predicate for this filter
`int` | `size()` Returns the number of rows in this CachedRowSetImpl object.
`Collection` | `toCollection(int column)`
`void` | `undoDelete()` void undoDelete() - Cancels deletion of the current row and notifies listeners that a row has changed.
`void` | `undoInsert()` Immediately removes the current row from this CachedRowSetImpl object if the row has been inserted, and also notifies listeners the a row has changed.
`void` | `undoUpdate()` Immediately reverses the last update operation if the row has been modified.
`void` | `updateRow()` Marks the current row of this CachedRowSetImpl object as updated and notifies listeners registered with this rowset that the row has changed.
`void` | `writeXml(OutputStream oStream)`
`void` | `writeXml(ResultSet rs, OutputStream oStream)`
`void` | `writeXml(ResultSet rs, Writer writer)`
`void` | `writeXml(Writer oWriter)`

Methods inherited from class weblogic.jdbc.rowset.BaseRowSet
`absolute, addRowSetListener, afterLast, beforeFirst, clearParameters, clearWarnings, columnUpdated, columnUpdated, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getCommand, getConcurrency, getConnection, getCursorName, getDataSource, getDataSourceName, getDate, getDate, getDate, getDate, getDouble, getDouble, getEscapeProcessing, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getKeyColumns, getLong, getLong, getMatchColumnIndexes, getMatchColumnNames, getMaxFieldSize, getMaxRows, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getParams, getPassword, getQueryTimeout, getRef, getRef, getRow, getRowId, getRowId, getRowSetWarnings, getShort, getShort, getShowDeleted, getSQLXML, getSQLXML, getStatement, getString, getString, getSyncProvider, getTableName, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getTransactionIsolation, getType, getTypeMap, getUnicodeStream, getUnicodeStream, getUrl, getURL, getURL, getUsername, getWarnings, isAfterLast, isBeforeFirst, isClosed, isComplete, isFirst, isLast, isReadOnly, last, next, previous, relative, removeRowSetListener, rowDeleted, rowInserted, rowUpdated, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCommand, setConcurrency, setDataSource, setDataSourceName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setIsComplete, setKeyColumns, setLong, setMatchColumn, setMatchColumn, setMatchColumn, setMatchColumn, setMaxFieldSize, setMaxRows, setMetaData, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNString, setNString, setNull, setNull, setObject, setObject, setObject, setPassword, setQueryTimeout, setReadOnly, setReadOnlyInternal, setRef, setRowId, setRowId, setShort, setShowDeleted, setSQLXML, setSQLXML, setString, setSyncProvider, setTableName, setTime, setTime, setTimestamp, setTimestamp, setTransactionIsolation, setType, setTypeMap, setUrl, setUsername, setWriter, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.jdbc.rowset.WLCachedRowSet
`executeAndGuessTableName, executeAndGuessTableNameAndPrimaryKeys, getDataSource, getRows, getRows, isComplete, loadXML, moveToUpdateRow, populate, setDataSource, setRowSetSynced, setRowSynced, writeXML, writeXML`

Methods inherited from interface javax.sql.RowSet
`addRowSetListener, clearParameters, getCommand, getDataSourceName, getEscapeProcessing, getMaxFieldSize, getMaxRows, getPassword, getQueryTimeout, getTransactionIsolation, getTypeMap, getUrl, getUsername, isReadOnly, removeRowSetListener, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCommand, setConcurrency, setDataSourceName, setDate, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setObject, setPassword, setQueryTimeout, setReadOnly, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setTransactionIsolation, setType, setTypeMap, setUrl, setUsername`

Methods inherited from interface java.sql.ResultSet
`absolute, afterLast, beforeFirst, clearWarnings, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getShort, getShort, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, isAfterLast, isBeforeFirst, isFirst, isLast, last, next, previous, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from interface javax.sql.rowset.CachedRowSet
`columnUpdated, columnUpdated, getKeyColumns, getRowSetWarnings, getShowDeleted, getSyncProvider, getTableName, setKeyColumns, setMetaData, setShowDeleted, setSyncProvider, setTableName, toCollection, toCollection`

Methods inherited from interface javax.sql.RowSet
`addRowSetListener, clearParameters, getCommand, getDataSourceName, getEscapeProcessing, getMaxFieldSize, getMaxRows, getPassword, getQueryTimeout, getTransactionIsolation, getTypeMap, getUrl, getUsername, isReadOnly, removeRowSetListener, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCommand, setConcurrency, setDataSourceName, setDate, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setObject, setPassword, setQueryTimeout, setReadOnly, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setTransactionIsolation, setType, setTypeMap, setUrl, setUsername`

Methods inherited from interface java.sql.ResultSet
`absolute, afterLast, beforeFirst, clearWarnings, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getShort, getShort, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, isAfterLast, isBeforeFirst, isFirst, isLast, last, next, previous, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from interface javax.sql.rowset.Joinable
`getMatchColumnIndexes, getMatchColumnNames, setMatchColumn, setMatchColumn, setMatchColumn, setMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn`

Methods inherited from interface javax.sql.rowset.CachedRowSet
`columnUpdated, columnUpdated, getKeyColumns, getRowSetWarnings, getShowDeleted, getSyncProvider, getTableName, setKeyColumns, setMetaData, setShowDeleted, setSyncProvider, setTableName, toCollection, toCollection`

Methods inherited from interface javax.sql.RowSet
`addRowSetListener, clearParameters, getCommand, getDataSourceName, getEscapeProcessing, getMaxFieldSize, getMaxRows, getPassword, getQueryTimeout, getTransactionIsolation, getTypeMap, getUrl, getUsername, isReadOnly, removeRowSetListener, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCommand, setConcurrency, setDataSourceName, setDate, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setObject, setPassword, setQueryTimeout, setReadOnly, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setTransactionIsolation, setType, setTypeMap, setUrl, setUsername`

Methods inherited from interface java.sql.ResultSet
`absolute, afterLast, beforeFirst, clearWarnings, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getShort, getShort, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, isAfterLast, isBeforeFirst, isFirst, isLast, last, next, previous, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from interface javax.sql.rowset.Joinable
`getMatchColumnIndexes, getMatchColumnNames, setMatchColumn, setMatchColumn, setMatchColumn, setMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn`

Methods inherited from interface javax.sql.rowset.CachedRowSet
`columnUpdated, columnUpdated, getKeyColumns, getRowSetWarnings, getShowDeleted, getSyncProvider, getTableName, setKeyColumns, setMetaData, setShowDeleted, setSyncProvider, setTableName, toCollection, toCollection`

Methods inherited from interface javax.sql.RowSet
`addRowSetListener, clearParameters, getCommand, getDataSourceName, getEscapeProcessing, getMaxFieldSize, getMaxRows, getPassword, getQueryTimeout, getTransactionIsolation, getTypeMap, getUrl, getUsername, isReadOnly, removeRowSetListener, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCommand, setConcurrency, setDataSourceName, setDate, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setObject, setPassword, setQueryTimeout, setReadOnly, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setTransactionIsolation, setType, setTypeMap, setUrl, setUsername`

Methods inherited from interface java.sql.ResultSet
`absolute, afterLast, beforeFirst, clearWarnings, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getShort, getShort, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, isAfterLast, isBeforeFirst, isFirst, isLast, last, next, previous, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from interface javax.sql.rowset.Joinable
`getMatchColumnIndexes, getMatchColumnNames, setMatchColumn, setMatchColumn, setMatchColumn, setMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn`

Methods inherited from interface weblogic.jdbc.rowset.SortedRowSet
`getSorter`

Methods inherited from interface javax.sql.rowset.spi.SyncResolver
`getConflictValue, getConflictValue, getStatus, nextConflict, previousConflict, setResolvedValue, setResolvedValue`

Constructor Detail

### CachedRowSetImpl

    public CachedRowSetImpl()

  Constructs a new default CachedRowSetImpl object with the capacity to hold 100 rows.

### CachedRowSetImpl

    public CachedRowSetImpl(Hashtable env)

  Provides a CachedRowSetImpl instance with the same default properties as the zero parameter constructor.

Method Detail

### populate

    public void populate(ResultSet rs)
                  throws SQLException

  Populates this CachedRowSetImpl object with data from the given ResultSet object.

  Specified by:
    `populate` in interface `CachedRowSet`
  Throws:
    `SQLException`

### populate

    public void populate(ResultSet rs,
                         int i)
                  throws SQLException

  Populates this CachedRowSet object with data from the given ResultSet object.

  Specified by:
    `populate` in interface `CachedRowSet`
  Throws:
    `SQLException`

### execute

    public void execute()
                 throws SQLException

  Populates this CachedRowSetImpl object with data

  Specified by:
    `execute` in interface `RowSet`
  Throws:
    `SQLException`

### execute

    public void execute(Connection con)
                 throws SQLException

  Populates this CachedRowSetImpl object with data, using the given connection to produce the result set from which data will be read.

  Specified by:
    `execute` in interface `CachedRowSet`
  Throws:
    `SQLException`

### acceptChanges

    public void acceptChanges()
                       throws SyncProviderException

  Propagates all row update, insert, and delete changes to the underlying data source backing this CachedRowSetImpl object.

  Specified by:
    `acceptChanges` in interface `CachedRowSet`
  Throws:
    `SyncProviderException`

### acceptChanges

    public void acceptChanges(Connection con)
                       throws SyncProviderException

  Propagates all row update, insert, and delete changes to the data source backing this CachedRowSetImpl object using the given Connection object.

  Specified by:
    `acceptChanges` in interface `CachedRowSet`
  Throws:
    `SyncProviderException`

### insertRow

    public void insertRow()
                   throws SQLException

  Inserts the contents of this CachedRowSetImpl object's insert row into this rowset immediately following the current row.

  Specified by:
    `insertRow` in interface `ResultSet`
  Throws:
    `SQLException`

### undoInsert

    public void undoInsert()
                    throws SQLException

  Immediately removes the current row from this CachedRowSetImpl object if the row has been inserted, and also notifies listeners the a row has changed.

  Specified by:
    `undoInsert` in interface `CachedRowSet`
  Throws:
    `SQLException`

### deleteRow

    public void deleteRow()
                   throws SQLException

  Deletes the current row from this CachedRowSetImpl object and notifies listeners registered with this rowset that a row has changed.

  Specified by:
    `deleteRow` in interface `ResultSet`
  Throws:
    `SQLException`

### undoDelete

    public void undoDelete()
                    throws SQLException

  void undoDelete() - Cancels deletion of the current row and notifies listeners that a row has changed.

  Specified by:
    `undoDelete` in interface `CachedRowSet`
  Throws:
    `SQLException`

### updateRow

    public void updateRow()
                   throws SQLException

  Marks the current row of this CachedRowSetImpl object as updated and notifies listeners registered with this rowset that the row has changed.

  Specified by:
    `updateRow` in interface `ResultSet`
  Throws:
    `SQLException`

### undoUpdate

    public void undoUpdate()
                    throws SQLException

  Immediately reverses the last update operation if the row has been modified.

  Specified by:
    `undoUpdate` in interface `CachedRowSet`
  Throws:
    `SQLException`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

  Rolls back any updates made to the current row of this CachedRowSetImpl object and notifies listeners that a row has changed.

  Specified by:
    `cancelRowUpdates` in interface `ResultSet`
  Throws:
    `SQLException`

### setOriginalRow

    public void setOriginalRow()
                        throws SQLException

  void setOriginalRow() - Marks the current row in this rowset as being an original row.

  Specified by:
    `setOriginalRow` in interface `CachedRowSet`
  Throws:
    `SQLException`

### restoreOriginal

    public void restoreOriginal()
                         throws SQLException

  Restores this CachedRowSetImpl object to its original state, that is, its state before the last set of changes.

  Specified by:
    `restoreOriginal` in interface `CachedRowSet`
  Throws:
    `SQLException`

### getOriginal

    public ResultSet getOriginal()
                          throws SQLException

  Returns a result set containing the original value of the rowset.

  Specified by:
    `getOriginal` in interface `CachedRowSet`
  Throws:
    `SQLException`

### getOriginalRow

    public ResultSet getOriginalRow()
                             throws SQLException

  Returns a result set containing the original value of the current row only.

  Specified by:
    `getOriginalRow` in interface `CachedRowSet`
  Throws:
    `SQLException`

### refreshRow

    public void refreshRow()
                    throws SQLException

  Sets the current row with its original value and marks the row as not updated, thus undoing any changes made to the row since the last call to the methods updateRow or deleteRow.

  Specified by:
    `refreshRow` in interface `ResultSet`
  Throws:
    `SQLException`

### moveToInsertRow

    public void moveToInsertRow()

  Moves the cursor for this CachedRowSetImpl object to the insert row.

  Specified by:
    `moveToInsertRow` in interface `ResultSet`

### moveToCurrentRow

    public void moveToCurrentRow()

  Moves the cursor for this CachedRowSetImpl object to the current row.

  Specified by:
    `moveToCurrentRow` in interface `ResultSet`

### setFilter

    public void setFilter(Predicate p)

  FilteredRowSetImpl - Apply the predicate for this filter

  Specified by:
    `setFilter` in interface `FilteredRowSet`

### getFilter

    public Predicate getFilter()

  FilteredRowSetImpl - Retrieve the filter active for this FilteredRowSet

  Specified by:
    `getFilter` in interface `FilteredRowSet`

### setSorter

    public void setSorter(Comparator s)

  FilteredRowSetImpl - Apply the predicate for this filter

  Specified by:
    `setSorter` in interface `SortedRowSet`
  Parameters:
    `s` - Comparator instance used to decide the order of rows.

### size

    public int size()

  Returns the number of rows in this CachedRowSetImpl object.

  Specified by:
    `size` in interface `CachedRowSet`
  Specified by:
    `size` in class `BaseRowSet`

### getCurrentRow

    public Map getCurrentRow()
                      throws SQLException

  Returns the insert row or the current row of this CachedRowSetImplobject.

  Specified by:
    `getCurrentRow` in interface `WLCachedRowSet`
  Returns:
    a Map representing the current row in the RowSet.
  Throws:
    `SQLException` - if the current RowSet position is not a valid row

### getRow

    public Map getRow(int index)
               throws SQLException

  Returns the number of the current row in this CachedRowSetImpl object.

  Specified by:
    `getRow` in interface `WLCachedRowSet`
  Parameters:
    `index` - row index into the row set. Valid values are [0 ... row.size() -1]
  Returns:
    a Map representing the row at the specified index
  Throws:
    `SQLException` - if the index is not a valid row

### toCollection

    public Collection toCollection(int column)
                            throws SQLException

  Specified by:
    `toCollection` in interface `CachedRowSet`
  Throws:
    `SQLException`

### readXml

    public void readXml(XMLInputStream xis)
                 throws IOException,
                        SQLException

  Throws:
    `IOException`
    `SQLException`

### readXml

    public void readXml(Reader reader)
                 throws SQLException

  Specified by:
    `readXml` in interface `WebRowSet`
  Throws:
    `SQLException`

### readXml

    public void readXml(InputStream iStream)
                 throws SQLException,
                        IOException

  Specified by:
    `readXml` in interface `WebRowSet`
  Throws:
    `SQLException`
    `IOException`

### writeXml

    public void writeXml(Writer oWriter)
                  throws SQLException

  Specified by:
    `writeXml` in interface `WebRowSet`
  Throws:
    `SQLException`

### writeXml

    public void writeXml(OutputStream oStream)
                  throws SQLException,
                         IOException

  Specified by:
    `writeXml` in interface `WebRowSet`
  Throws:
    `SQLException`
    `IOException`

### writeXml

    public void writeXml(ResultSet rs,
                         Writer writer)
                  throws SQLException

  Specified by:
    `writeXml` in interface `WebRowSet`
  Throws:
    `SQLException`

### writeXml

    public void writeXml(ResultSet rs,
                         OutputStream oStream)
                  throws SQLException,
                         IOException

  Specified by:
    `writeXml` in interface `WebRowSet`
  Throws:
    `SQLException`
    `IOException`

### clone

    protected Object clone()

  Returns a new RowSet object containing by the same data as this CachedRowSetImpl object.

  Overrides:
    `clone` in class `Object`

### createShared

    public RowSet createShared()
                        throws SQLException

  Returns a new RowSet object backed by the same data as that of this CachedRowSetImpl object and sharing a set of cursors with it.

  Specified by:
    `createShared` in interface `CachedRowSet`
  Throws:
    `SQLException`

### createCopy

    public CachedRowSet createCopy()
                            throws SQLException

  Creates a RowSet object that is a deep copy of this CachedRowSetImpl object's data, including constraints.

  Specified by:
    `createCopy` in interface `CachedRowSet`
  Throws:
    `SQLException`

### createCopySchema

    public CachedRowSet createCopySchema()
                                  throws SQLException

  Creates a RowSet object that is a copy of this CachedRowSetImpl object's table structure and the constraints only.

  Specified by:
    `createCopySchema` in interface `CachedRowSet`
  Throws:
    `SQLException`

### createCopyNoConstraints

    public CachedRowSet createCopyNoConstraints()
                                         throws SQLException

  Creates a CachedRowSet object that is a copy of this CachedRowSetImpl object's data only.

  Specified by:
    `createCopyNoConstraints` in interface `CachedRowSet`
  Throws:
    `SQLException`

### close

    public void close()

  Closes this CachedRowSetImpl objecy and releases any resources it was using.

  Specified by:
    `close` in interface `ResultSet`

### release

    public void release()
                 throws SQLException

  Releases the current contents of this CachedRowSetImpl object and sends a rowSetChanged event object to all registered listeners.

  Specified by:
    `release` in interface `CachedRowSet`
  Throws:
    `SQLException`

### previousPage

    public boolean previousPage()
                         throws SQLException

  Retrieves the data present in the page prior to the page from where it is called.

  Specified by:
    `previousPage` in interface `CachedRowSet`
  Throws:
    `SQLException`

### nextPage

    public boolean nextPage()
                     throws SQLException

  The nextPage gets the next page, that is a CachedRowSetImpl object containing the number of rows specified by page size.

  Specified by:
    `nextPage` in interface `CachedRowSet`
  Throws:
    `SQLException`

### getPageSize

    public int getPageSize()

  This is the getter function for the size of the page.

  Specified by:
    `getPageSize` in interface `CachedRowSet`

### setPageSize

    public void setPageSize(int i)
                     throws SQLException

  This is the setter function for setting the size of the page, which specifies how many rows have to be retrived at a time.

  Specified by:
    `setPageSize` in interface `CachedRowSet`
  Throws:
    `SQLException`

### rowSetPopulated

    public void rowSetPopulated(RowSetEvent rse,
                                int i)
                         throws SQLException

  Notifies registered listeners that a RowSet object in the given RowSetEvent object has populated a number of additional rows.

  Specified by:
    `rowSetPopulated` in interface `CachedRowSet`
  Throws:
    `SQLException`

### rollback

    public void rollback(Savepoint s)
                  throws SQLException

  Rolls back all changes performed by the acceptChanges() to the last Savepoint transaction marker.

  Specified by:
    `rollback` in interface `CachedRowSet`
  Throws:
    `SQLException`

### rollback

    public void rollback()
                  throws SQLException

  Rolls back all changes performed by the acceptChanges() methods

  Specified by:
    `rollback` in interface `CachedRowSet`
  Throws:
    `SQLException`

### commit

    public void commit()
                throws SQLException

  Commits all changes performed by the acceptChanges() methods

  Specified by:
    `commit` in interface `CachedRowSet`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD